Bug 857273 - [RFE] Web UI does not offer an option to obtain the CA certificate and the RPM package with client configuration
[RFE] Web UI does not offer an option to obtain the CA certificate and the RP...
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.3
Unspecified Unspecified
unspecified Severity low
: rc
: ---
Assigned To: Katello Bug Bin
Katello QA List
: FutureFeature, Triaged
Depends On:
Blocks: sam20-tracker
  Show dependency treegraph
 
Reported: 2012-09-13 20:45 EDT by Jakub Dorňák
Modified: 2014-06-28 06:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-28 06:30:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jakub Dorňák 2012-09-13 20:45:23 EDT
Description of problem:
SAM web UI does not offer an option to obtain (download) the CA certificate, which is necessary to setup the subscription-manager client to use SAM.


Version-Release number of selected component (if applicable):
katello-glue-candlepin-0.3.4-1.el6_2.noarch
katello-cli-headpin-0.2.2-1.el6_2.noarch
katello-headpin-0.2.13-1.el6_2.noarch
katello-certs-tools-1.1.5-1.el6_2.noarch
katello-common-0.3.4-1.el6_2.noarch
katello-cli-common-0.3.5-2.el6_2.noarch
katello-selinux-0.2.4-1.el6_2.noarch
katello-headpin-all-0.2.13-1.el6_2.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-configure-0.3.7-1.el6_2.noarch


Expected results:
A link in web UI to download the certificate and the RPM package with the certificate and configuration for bootstrapping.


Additional info:
The RPM link should not contain the version or there should be some additional link which would always redirect to the current version of RPM for it to be easily downloadable (i.e. from the kickstart).
Comment 1 Tom McKay 2012-12-18 08:51:24 EST
Feature for CFSE
Comment 3 sthirugn@redhat.com 2014-06-27 16:41:00 EDT
Go to SAM 1.4 Web UI -> Sytems -> click 'Register System'.  You will see the bootstrap rpm link similar to "rpm -Uvh http:host/pub/candlepin-cert-consumer-latest.noarch.rpm".  Is this what you are referring to here? If yes, can you please close the bug?
Comment 4 Jakub Dorňák 2014-06-28 06:30:31 EDT
Yes, it's perfectly it.

Note You need to log in before you can comment on or make changes to this bug.